<?php
/**
 * Service section
 *
 * This is the template for the content of service section
 *
 * @package Theme Palace
 * @subpackage Enlightme
 * @since Enlightme 1.0.0
 */
if ( ! function_exists( 'enlightme_add_service_section' ) ) :
    /**
    * Add service section
    *
    *@since Enlightme 1.0.0
    */
    function enlightme_add_service_section() {
    	$options = enlightme_get_theme_options();
        // Check if service is enabled on frontpage
        $service_enable = apply_filters( 'enlightme_section_status', true, 'service_section_enable' );

        if ( true !== $service_enable ) {
            return false;
        }
        // Get service section details
        $section_details = array();
        $section_details = apply_filters( 'enlightme_filter_service_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }


        enlightme_render_service_section( $section_details );

    }
endif;

if ( ! function_exists( 'enlightme_get_service_section_details' ) ) :
    /**
    * service section details.
    *
    * @since Enlightme 1.0.0
    * @param array $input service section details.
    */
    function enlightme_get_service_section_details( $input ) {
        $options = enlightme_get_theme_options();
        
        $content = array();
        $post_ids = array();

                for ( $i = 1; $i <= 4; $i++ ) {
                    if ( ! empty( $options['service_content_post_' . $i] ) )
                        $post_ids[] = $options['service_content_post_' . $i];
                }
                $args = array(
                    'post_type'         => 'post',
                    'post__in'          => ( array ) $post_ids,
                    'posts_per_page'    => absint( 4 ),
                    'orderby'           => 'post__in',
                    'ignore_sticky_posts'   => true,
                    ); 
        
            // Run The Loop.
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['url']       = get_the_permalink();
                    
                    // Push to the main array.
                    array_push( $content, $page_post );
                endwhile;
            endif;
            wp_reset_postdata();
            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;
// service section content details.
add_filter( 'enlightme_filter_service_section_details', 'enlightme_get_service_section_details' );


if ( ! function_exists( 'enlightme_render_service_section' ) ) :
  /**
   * Start service section
   *
   * @return string service content
   * @since Enlightme 1.0.0
   *
   */
   function enlightme_render_service_section( $content_details = array() ) {
        $options = enlightme_get_theme_options();

        if ( empty( $content_details ) ) {
            return;
        } ?>

        <div id="enlightme_service_section">

         <div id="services" class="relative page-section same-background">
            <div class="wrapper">
            <?php if ( is_customize_preview()):
                enlightme_section_tooltip( 'services' );
                endif; ?>
                <div class="services-section-content">
                    <div class="entry-container">
                        <div class="section-header">
                            <?php if ( ! empty( $options['service_sub_title'] ) ): ?>
                                <p class="section-subtitle">
                                     <?php echo esc_html( $options['service_sub_title'] ) ; ?>
                                </p>
                            <?php endif ;

                             if ( ! empty( $options['service_title'] ) ): ?>
                                <h2 class="section-title">
                                    <?php echo esc_html( $options['service_title'] ) ; ?>
                                </h2>
                            <?php endif;?>

                           
                        </div><!-- .section-header -->
                        <?php if ( !empty( $options['service_description'] ) ): ?>
                            <div class="section-content">
                            <p><?php echo enlightme_santize_allow_tag( $options['service_description'] ) ?></p>
                        </div><!-- .entry-content -->
                        <?php endif ?>
                        
                    </div><!-- .entry-container -->
                </div><!-- .service-section-content -->

                <div class="services-items-wrapper col-2">
                    <?php $i = 1 ; foreach ( $content_details as $content ): ?>
                    <article>
                        <div class="entry-container">
                            <header class="entry-header">
                                <h2 class="entry-title"><span><?php echo esc_html( $i ); ?></span><a href="<?php echo esc_url( $content['url'] ) ; ?>" title=" <?php echo esc_attr( $content['title'] ) ; ?>"> <?php echo esc_attr( $content['title'] ) ; ?></a></h2>
                            </header>
                        </div><!-- .entry-container -->
                    </article>
                     <?php $i++ ; endforeach ?>
                </div><!-- .services-items-wrapper -->
            </div><!-- .wrapper -->
        </div><!-- #services -->

        </div>
        
        
    <?php }
endif;